Ticket #41973

gtk3.22 client log does not show turn number ?

Eröffnet am: 2021-04-11 16:31 Letztes Update: 2021-04-29 18:12

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

3.beta1

I find difficult to search in the gtk.client.log as it does not show the turn (as does the server log )

Client log :

3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_BEGIN_TURN)128 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_CHAT_MSG)25 len=25 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_END_TURN)129 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_GAME_INFO)16 len=29 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_BEGIN_TURN)128 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_THAW_CLIENT)131 len=4 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_END_TURN)129 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_GAME_INFO)16 len=29 from server

Server log :

3: [T325 - 2021/04/11 09:10:17] in send_packet_data() [packets.c::214]: sending packet ... 

I guess i missed something , maybe compile option ?

At least where could i add some printf just for trace purpose when a new turn begins ?

Ticket-Verlauf (3/7 Historien)

2021-04-11 16:31 Aktualisiert von: alain_bkr
  • New Ticket "gtk3.22 client log does not show turn number ?" created
2021-04-11 17:45 Aktualisiert von: cazfi
Kommentar

Is attached patch sufficient?

2021-04-11 22:41 Aktualisiert von: alain_bkr
Kommentar

Yes , it works nicely. (now i know in which turn i am lost :)

Thanks

2021-04-12 12:15 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 2.6.5 (closed)
2021-04-12 12:15 Aktualisiert von: cazfi
  • Komponente Update from (Keine) to Client common
2021-04-29 18:12 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden